Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface MessageTrackingRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

    public interface MessageTrackingRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`int` | `getConversationCount(Date startTime, Date endTime)` Gets conversation count.
`int` | `getConversationCountByPartner(String partnerId, Date startTime, Date endTime)` Gets conversation count by partner.
`int` | `getConversationCountByPartners(String fromPartnerId, String toPartnerId, Date startTime, Date endTime)` Gets conversation count by partners.
`int` | `getMessageCountByConversationAndDirection(String conversationId, String direction, Date startTime, Date endTime)` Gets message count by conversation and direction.
`int` | `getMessageCountByDirection(String direction, Date startTime, Date endTime)` Gets message count by direction.
`int` | `getMessageCountByPartnerAndDirection(String partnerId, String direction, Date startTime, Date endTime)` Gets message count by partner and direction.
`int` | `getMessageCountByPartnersAndDirection(String fromPartnerId, String toPartnerId, String direction, Date startTime, Date endTime)` Gets message count by partners and direction.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getConversationCount

    int getConversationCount(Date startTime,
                             Date endTime)
                             throws MessageTrackingRuntimeException

  Gets conversation count.

  Parameters:
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total conversations that occurred within the passed time period
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByDirection

    int getMessageCountByDirection(String direction,
                                   Date startTime,
                                   Date endTime)
                                   throws MessageTrackingRuntimeException

  Gets message count by direction.

  Parameters:
    `direction:` - "sent" or "received"
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total messages exchanged in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getConversationCountByPartner

    int getConversationCountByPartner(String partnerId,
                                      Date startTime,
                                      Date endTime)
                                      throws MessageTrackingRuntimeException

  Gets conversation count by partner.

  Parameters:
    `partnerId:` - the Id of the partner interested in
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total conversations that occurred with the the specified partner
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByPartnerAndDirection

    int getMessageCountByPartnerAndDirection(String partnerId,
                                             String direction,
                                             Date startTime,
                                             Date endTime)
                                             throws MessageTrackingRuntimeException

  Gets message count by partner and direction.

  Parameters:
    `partnerId:` - the Id of the partner interested in
    `direction:` - "sent" or "received"
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total messages exchanged by the specified partner in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getConversationCountByPartners

    int getConversationCountByPartners(String fromPartnerId,
                                       String toPartnerId,
                                       Date startTime,
                                       Date endTime)
                                       throws MessageTrackingRuntimeException

  Gets conversation count by partners.

  Parameters:
    `fromPartnerId:` - the Id of the from partner
    `toPartnerId:` - the Id ot the to partner
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total conversations that occurred between the specified partners
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByPartnersAndDirection

    int getMessageCountByPartnersAndDirection(String fromPartnerId,
                                              String toPartnerId,
                                              String direction,
                                              Date startTime,
                                              Date endTime)
                                              throws MessageTrackingRuntimeException

  Gets message count by partners and direction.

  Parameters:
    `fromPartnerId:` - the Id of the from partner
    `toPartnerId:` - the Id ot the to partner
    `direction:` - "sent" or "received"
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total messages exchanged between the specified partners in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByConversationAndDirection

    int getMessageCountByConversationAndDirection(String conversationId,
                                                  String direction,
                                                  Date startTime,
                                                  Date endTime)
                                                  throws MessageTrackingRuntimeException

  Gets message count by conversation and direction.

  Parameters:
    `conversationId:` - the Id of the conversation interested in
    `direction:` - "sent" or "received"
    `startTime:` - the start timestamp of the time period interested in
    `endTime:` - the end timestamp of the time period interested in
  Returns:
    total messages exchanged in a specified conversation and in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD